Method
GET /v1/webhooks/subscriptions/:id
Path Parameters
uuid
required
Webhook subscription ID.
Headers
string
Bearer token (requires
webhooks:read).Request Example
curl "https://api.voyantcloud.com/v1/webhooks/subscriptions/whsub_01J0J3Y3TFX2V22Y7DQ0A6J5G5" \
-H "Authorization: Bearer $VOYANT_API_KEY"
const id = "whsub_01J0J3Y3TFX2V22Y7DQ0A6J5G5"
const res = await fetch(`https://api.voyantcloud.com/v1/webhooks/subscriptions/${id}`, {
headers: { Authorization: `Bearer ${process.env.VOYANT_API_KEY}` },
})
const subscription = await res.json()
import os, requests
subscription_id = "whsub_01J0J3Y3TFX2V22Y7DQ0A6J5G5"
resp = requests.get(
f"https://api.voyantcloud.com/v1/webhooks/subscriptions/{subscription_id}",
headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}"},
)
details = resp.json()["data"]
Response Example
{
"data": {
"id": "whsub_01J0J3Y3TFX2V22Y7DQ0A6J5G5",
"workspace_id": "ws_4a82d5bd-3330-4ad3-bf46-1b6a9a5d5d6a",
"url": "https://example.com/webhooks/voyant",
"events": ["product.*", "booking.created"],
"active": true,
"max_retries": 5,
"headers": {"X-Env": "production"},
"description": "Primary catalog listener",
"created_at": "2025-03-01T09:12:33.000Z",
"updated_at": "2025-03-01T09:12:33.000Z",
"last_delivery_at": "2025-03-05T07:01:11.000Z",
"failure_count": 0
}
}
{ "error": "Webhook subscription not found" }